- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
libcdr::CDRPolygon Struct Reference

`#include <CDRTypes.h>`

## Public Member Functions
| CDRPolygon ()
| CDRPolygon (unsigned numAngles, unsigned nextPoint, double rx, double ry, double cx, double cy)
void | create (CDRPath &path) const

## Public Attributes
unsigned | m_numAngles
unsigned | m_nextPoint
double | m_rx
double | m_ry
double | m_cx
double | m_cy

## Constructor & Destructor Documentation

libcdr::CDRPolygon::CDRPolygon | ( |  | ) |
| inline

libcdr::CDRPolygon::CDRPolygon | ( | unsigned | numAngles,
|  | unsigned | nextPoint,
|  | double | rx,
|  | double | ry,
|  | double | cx,
|  | double | cy
| ) |  |
| inline

## Member Function Documentation

void libcdr::CDRPolygon::create | ( | libcdr::CDRPath & | path | ) | const

## Member Data Documentation

double libcdr::CDRPolygon::m_cx

double libcdr::CDRPolygon::m_cy

unsigned libcdr::CDRPolygon::m_nextPoint

unsigned libcdr::CDRPolygon::m_numAngles

double libcdr::CDRPolygon::m_rx

double libcdr::CDRPolygon::m_ry

The documentation for this struct was generated from the following files:

- CDRTypes.h
- CDRTypes.cpp